% Script to compare Segmentation results
% 
% created by Andre Marcal,  4 Jan. 2019
%         last modified on  7 Jan. 2019
%
% Citations:
% Marcal, A.R.S. (2019). 
% Segmentation of Sentinel-2 images on SNAP - An evaluation with SITEF. 
% IGARSS 2019 (in press).
% AND / OR
% Marcal, A.R.S., Rodrigues, A.S. (2009). 
% A method for multi-spectral image segmentation evaluation based on synthetic images, 
% Computers & Geosciences, Vol.35, No.8, 1574-1581.
%
ISref=imread('RefIMAGES\BaseIm.tif');

NomeB1='Segmentacoes\Ref6_';
NomeB4='.tif';

NomeB2caso6='SP_LM_50_';
NomeB3caso6=['020';'040';'060';'080';'100';'120';'140';'160';'180';'200'];
NomeB2caso7='BS_LM_50_';

NomeB3caso7=['020';'040';'060';'080';'100';'120';'140';'160';'180';'200'];
NomeBXcaso7=['_9'];

Nomecaso8='Ref6_BS_LM_50_100_2-01';

Resultados=[];

display('caso 6')
for f=1:length(NomeB3caso6)
    fname=[NomeB1,NomeB2caso6,NomeB3caso6(f,:),NomeB4];
    ISobs=imread(fname);
    [R,CR,J] = RandJaccard(ISobs,ISref);
    Resultados=[Resultados; 6, str2num(NomeB3caso6(f,:)), R, CR, J];
end
display('caso 7')
for f=1:length(NomeB3caso6)
    fname=[NomeB1,NomeB2caso7,NomeB3caso7(f,:),NomeBXcaso7,NomeB4];
    ISobs=imread(fname);
    [R,CR,J] = RandJaccard(ISobs,ISref);
    Resultados=[Resultados; 7, str2num(NomeB3caso7(f,:)), R, CR, J];
end
display('caso 7')
fname=[Nomecaso8,NomeB4];
ISobs=imread(fname);
[R,CR,J] = RandJaccard(ISobs,ISref);
Resultados=[Resultados; 8, 88, R, CR, J];


Resultados