% Script to produce reference images
% 
% created by Andre Marcal,  2 Jan. 2019
%         last modified on  2 Jan. 2019
%
% Citations:
% Marcal, A.R.S. (2019). 
% Segmentation of Sentinel-2 images on SNAP - An evaluation with SITEF. 
% IGARSS 2019 (in press).
% AND / OR
% Marcal, A.R.S., Rodrigues, A.S. (2009). 
% A method for multi-spectral image segmentation evaluation based on synthetic images, 
% Computers & Geosciences, Vol.35, No.8, 1574-1581.
%

SITEF2019_treino1
[BaseIm,LabIm4,RefIm4]=SITEF2019_f2(8,4,10,4,TrainData);
[BaseIm,LabIm5,RefIm5]=SITEF2019_f2(8,4,10,5,TrainData);
[BaseIm,LabIm6,RefIm6]=SITEF2019_f2(8,4,10,6,TrainData);
imwrite(uint16(BaseIm),'BaseIm.tif');
imwrite(uint8(LabIm4),prism,'LabIm4.tif');
imwrite(uint8(LabIm5),prism,'LabIm5.tif');
imwrite(uint8(LabIm6),prism,'LabIm6.tif');
imwrite(RefIm4,'RefIm4_843.tif');
imwrite(RefIm5,'RefIm5_843.tif');
imwrite(RefIm6,'RefIm6_843.tif');

SITEF2019_treino1b
[BaseIm,LabIm4,RefIm4]=SITEF2019_f2(8,4,10,4,TrainData);
[BaseIm,LabIm5,RefIm5]=SITEF2019_f2(8,4,10,5,TrainData);
[BaseIm,LabIm6,RefIm6]=SITEF2019_f2(8,4,10,6,TrainData);
imwrite(RefIm4,'RefIm4_432.tif');
imwrite(RefIm5,'RefIm5_432.tif');
imwrite(RefIm6,'RefIm6_432.tif');
