% Script to create Figure 1 - multiple t values
% 
% created by Andre Marcal,  2 Jan. 2019
%         last modified on  2 Jan. 2019
%
% Citations:
% Marcal, A.R.S. (2019). 
% Segmentation of Sentinel-2 images on SNAP - An evaluation with SITEF. 
% IGARSS 2019 (in press).
% AND / OR
% Marcal, A.R.S., Rodrigues, A.S. (2009). 
% A method for multi-spectral image segmentation evaluation based on synthetic images, 
% Computers & Geosciences, Vol.35, No.8, 1574-1581.
%
% u - unit size (pixels) 
% s - maximum size (units) 
% r - repetition factor 
% t - No of class types (min 3)
% e.g. [BaseImage,LabelImage] = SITEF2019_f1(u,s,r,t);
% e.g. [BaseImage,LabelImage] = SITEF2019_f1(20,4,3,5);

figure
[BaseImage,LabelImage] = SITEF2019_f1(20,4,3,3);
subplot(1,3,1), imshow(LabelImage,prism)
[BaseImage,LabelImage] = SITEF2019_f1(20,4,3,4);
subplot(1,3,2), imshow(LabelImage,prism)
[BaseImage,LabelImage] = SITEF2019_f1(20,4,3,5);
subplot(1,3,3), imshow(LabelImage,prism)

figure
[BaseImage,LabelImage] = SITEF2019_f1(20,4,3,3);
subplot(2,2,1), imshow(LabelImage,prism)
[BaseImage,LabelImage] = SITEF2019_f1(20,4,3,4);
subplot(2,2,2), imshow(LabelImage,prism)
[BaseImage,LabelImage] = SITEF2019_f1(20,4,3,5);
subplot(2,2,3), imshow(LabelImage,prism)
[BaseImage,LabelImage] = SITEF2019_f1(20,4,3,6);
subplot(2,2,4), imshow(LabelImage,prism)

figure
[BaseImage,LabelImage] = SITEF2019_f1(60,4,1,5);
subplot(2,2,1), imshow(LabelImage,prism), title ('\fontsize{18}a')
[BaseImage,LabelImage] = SITEF2019_f1(30,4,2,5);
subplot(2,2,2), imshow(LabelImage,prism), title ('\fontsize{18}b')
[BaseImage,LabelImage] = SITEF2019_f1(20,4,3,5);
subplot(2,2,3), imshow(LabelImage,prism), title ('\fontsize{18}c')
[BaseImage,LabelImage] = SITEF2019_f1(25,3,4,5);
subplot(2,2,4), imshow(LabelImage,prism), title ('\fontsize{18}d')

figure
[BaseImage,LabelImage] = SITEF2019_f1(30,4,2,3);
subplot(2,2,1), imshow(LabelImage,prism), title ('\fontsize{18}a')
[BaseImage,LabelImage] = SITEF2019_f1(30,4,2,4);
subplot(2,2,2), imshow(LabelImage,prism), title ('\fontsize{18}b')
[BaseImage,LabelImage] = SITEF2019_f1(30,4,2,5);
subplot(2,2,3), imshow(LabelImage,prism), title ('\fontsize{18}c')
[BaseImage,LabelImage] = SITEF2019_f1(30,4,2,6);
subplot(2,2,4), imshow(LabelImage,prism), title ('\fontsize{18}d')