% Script to create Training Data
% 
% created by Andre Marcal,  2 Jan. 2019
%         last modified on  2 Jan. 2019
%
% Citations:
% Marcal, A.R.S. (2019). 
% Segmentation of Sentinel-2 images on SNAP - An evaluation with SITEF. 
% IGARSS 2019 (in press).
% AND / OR
% Marcal, A.R.S., Rodrigues, A.S. (2009). 
% A method for multi-spectral image segmentation evaluation based on synthetic images, 
% Computers & Geosciences, Vol.35, No.8, 1574-1581.
%

III=imread('S2_VConde_843.tif');
I843=III(:,:,1:3);
figure, imshow(I843)
III=imread('S2_VConde_432.tif');
I432=III(:,:,1:3);
figure, imshow(I432)


% Sub-Imagens de treino
%IM=I843;
IM=I432;
sub1=IM(128:148,641:677,:); % Bosque / Woods
sub2=IM(627:650,866:891,:); % Prado / Pasture
sub3=IM(129:138,701:713,:); % Solo Nu / Bare Soil 
sub4=IM(407:438,539:570,:); % Industrial 
sub5=IM(380:411,230:261,:); % Agua Mar / Sea water  
sub6=IM(347:365,423:449,:); % Urbano  

% Completar para obter quadrados de 32x32
aux1=sub1(:,3:34,:);
aux2=aux1(21:-1:11,:,:);
sub1=[aux1;aux2];
%
aux1=sub2(:,25:-1:20,:);
aux2=[sub2,aux1];
aux3=aux2(23:-1:16,:,:);
sub2=[aux2;aux3];
%
aux1=sub3(:,12:-1:2,:);
aux2=[sub3,aux1,sub3(:,1:8,:)];
aux3=aux2(9:-1:2,:,:);
sub3=[aux2;aux3;aux2;aux3(1:4,:,:)];
%
aux1=sub6(:,26:-1:22,:);
aux2=[sub6,aux1];
aux3=aux2(18:-1:6,:,:);
sub6=[aux2;aux3];

figure
subplot(2,3,1), imshow(sub1)
subplot(2,3,2), imshow(sub2)
subplot(2,3,3), imshow(sub3)
subplot(2,3,4), imshow(sub4)
subplot(2,3,5), imshow(sub5)
subplot(2,3,6), imshow(sub6)

TrainData={sub1,sub2,sub3,sub4,sub5,sub6};


